#ifndef SHOPSETTINGSFORM_H
#define SHOPSETTINGSFORM_H

#include <QWidget>
#include <formbinder.h>
#include "shopsettings.h"

namespace Ui {
class ShopSettingsForm;
}

class ShopSettingsForm : public FormBinder<ShopSettings>
{
    Q_OBJECT

public:
    explicit ShopSettingsForm(QWidget *parent = 0);
    ~ShopSettingsForm();

private:
    Ui::ShopSettingsForm *ui;

    // IForm interface
public:
    void loadEntity();

public slots:
    bool saveRecord();
};

#endif // SHOPSETTINGSFORM_H
